
/**
 * Rahmenklasse für die Wegesuche aus dem Labyrith.
 * 
 * @author Albert Wiedemann
 * @version 1.0
 */
class Rahmen
{
    /** Das Labyrinth */
    private Labyrinth l;
    /** Der zugehörige Graph */
    private GraphMatrix g;
    /** Der verirrte Theseus */
    private Theseus t;

    /**
     * Legt die benötigten Objekte an.
     */
    Rahmen ()
    {
        l = new Labyrinth(40, 26);
        l.Generieren();
        g = new GraphMatrix();
        l.GraphErzeugen(g);
        t = null;
    }
    
    /**
     * Zeigt nur den Graphen an.
     */
    void GraphAnzeigen()
    {
        l.SichtbarkeitSetzen(false);
        g.SichtbarkeitSetzen(true);
        if (t != null)
        {
            t.SichtbarkeitSetzen(false);
        }
    }
    
    /**
     * Zeigt nur das Labyrinth an.
     */
    void LabyrinthAnzeigen()
    {
        l.SichtbarkeitSetzen(true);
        g.SichtbarkeitSetzen(false);
        if (t != null)
        {
            t.SichtbarkeitSetzen(true);
        }
    }
    
    /**
     * Positioniert den verirrten Theseus auf einen geeigenten Startpunkt
     */
    void TheseusPositionieren()
    {
        LabyrinthAnzeigen();
        l.StartpunktGenerieren();
        t = new Theseus(l.XStartGeben(), l.YStartGeben());
    }
    
    /**
     * Ermittelt den Weg aus dem Labyrinth und bereitet den Gang zu Ausgang vor.
     */
    void FluchtwegBerechnen()
    {
        t.WegSetzen(g.BreitensucheAusführen(l.XStartGeben(), l.YStartGeben(), l.XAusgangGeben(), l.YAusgangGeben()));
    }
}
