
/**
 * Beispiele für diverse Graphen
 * 
 * @author Albert Wiedemann
 * @version 1.0
 */
class Beispiele
{
    /** der Graph */
    private GraphMatrix g;
    /** das Leseobjekt */
    private Lesen l;
    
    /**
     * Legt das Graphenobjekt an.
     */
    Beispiele ()
    {
        g = new GraphMatrix();
        l = new Lesen();
    }

    /**
     * Legt den Kopplungsgraphen der Aufgabe an.
     * Am Ende Ausgabe der Adjazenzmatrix zur Kontrolle
     */
    void AusführenKopplungsgraph()
    {
        g.ZurückSetzen();
        if (l.LesenDatenbank("Kopplungsgraph.grdb", g))
        {
            g.Ausgeben();
        }
    }
    
    /**
     * Führt die Breitensuche zur Ermittlung des Kopplungsgrades vom Startknoten durch
     * @param nameStartKnoten der Startknoten
     */
    void BreitensucheAusführen (String nameStartKnoten)
    {
        if (g != null)
        {
            g.BreitensucheAusführen(g.KnotenNummerGeben(nameStartKnoten));
        }
    }
}
